Home

Get a state proof that covers a given round

GET
https://algo.nownodes.io/v2/stateproofs/{round}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

roundinteger>= 0requiredpath

The round for which a state proof is desired.

Response

200OK

StateProofResponse wraps the StateProof type in a response.

401Unauthorized

Invalid API Token

404Not Found

Could not find a state proof that covers a given round

408Request Timeout

timed out on request

500Internal Server Error

Internal Error

503Service Unavailable

Service Temporarily Unavailable

default

Unknown Error